Delete SAML configuration
curl --request DELETE \
--url https://accounts.livechat.com/v2/organizations/my/saml \
--header 'Authorization: Bearer <token>'import requests
url = "https://accounts.livechat.com/v2/organizations/my/saml"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://accounts.livechat.com/v2/organizations/my/saml', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "bad_request",
"error_description": "The server cannot or will not process the request due to an apparent client error (for example, malformed request syntax, size too large).",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "resource_not_found",
"error_description": "The requested resource couldn't be found.",
"resource_name": "account",
"resource_id": "def31e95-5ca4-4817-b176-732e4544daca",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "invalid_request",
"error_description": "The request is missing a required parameter, includes an invalid parameter value, includes a parameter more than once, or is otherwise malformed.",
"invalid_fields": {
"email": "invalid email address"
},
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "server_error",
"error_description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}SAML
Delete SAML configuration
Removes SAML configuration for the organization. It will enable other authentication methods for the organization.
DELETE
/
organizations
/
my
/
saml
Delete SAML configuration
Authorizations
This API uses OAuth2 with the implicit grant flow. Learn about the implicit grant flow.
Response
OK: SAML configuration was deleted.
Was this page helpful?
⌘I